#ifndef PPPMAIN_H
#define PPPMAIN_H

#include <QtCore>
#include "options.h"

namespace BNC {

class t_pppMain {
 public:
  t_pppMain();                                                      
  ~t_pppMain();                                                     

 private:
  void readOptions();

  QList<QSharedPointer<t_options> > _options;
  QString                           _logFile;
  QString                           _nmeaFile;
  int                               _nmeaPort;
};

}; // namespace BNC

#endif
